Update one Customer
Updates organization-specific Customer profile fields and customFields. It does not mutate shared platform firstName, lastName, or email identity fields, and ownerId is rejected because Organization API v1 does not expose the staff reassignment action.
Updates organization-specific Customer profile fields and customFields. It does not mutate shared platform firstName, lastName, or email identity fields, and ownerId is rejected because Organization API v1 does not expose the staff reassignment action.
Organization API key. Format: Bearer sk_live_...
In: header
Path Parameters
Customer identifier returned by the Organization API.
Request Body
application/json
JSON request payload for updateCustomer.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/customers/string" \ -H "Content-Type: application/json" \ -d '{ "internalNotes": "Prefers afternoon calls.", "customFields": { "preferredLanguage": "en" } }'{ "data": {}, "meta": { "requestId": "string", "version": "v1", "timestamp": "2019-08-24T14:15:22Z", "rateLimit": { "limit": 0, "remaining": 0, "reset": 0 } }}